EDIT - bug #10155

Preference for default language of shown representations
09/14/2022 12:11 PM - Katja Luther

Status: New Start date:

Priority: Highest Due date:

Assignee: Katja Luther % Done: 0%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.45

Severity: normal Found in Version:

Description

Actually we have a preference for the default application language, which differs between German and English and a preference for
the terms.

Both are not really applicable for the multilanguage texts. Either we use the term preference for all representations or we create a
new preference. | would prefer the first solution.

Related issues:
Related to EDIT - bug #10305: Add DB preference for term language Closed

History

#1 - 09/14/2022 01:04 PM - Andreas Miiller

- Tags set to terms, i18

Definetly using the language selected for the terms is a better solution then using the application language. However, we may want to distinguish
language selection for reading and writing. Terms are mostly read, e.g. "is basionym for" in a dropdown and often not translated into the target
language as the term is not shown in the dataportals but only read by the TaxEditor editor and it is more similar to menus (sometimes even used in
menus). So, if you want an "English" TaxEditor you may choose "English" for terms but still you use "Spanish" as you work on a Spanish database
with a Spanish dataportal.

For writing any i18n text you always need to define the target language as this is information usually visible in the dataportals.

Also the writing i18n preference might be a server-side preference while the term language might be selected by local editor.
#2 - 10/12/2022 03:27 PM - Andreas Miiller

- Priority changed from New to Highest

- Target version changed from Unassigned CDM tickets to Release 5.35

Now, the language shown in flora-cuba as default is Gwich'in which is for sure not the expected one. Also the list seems to be unsorted, at least not
sorted alphabetically.
We should try to handle this soon.

#3 - 01/05/2023 06:28 PM - Andreas Miiller

- Target version changed from Release 5.35 to Release 5.44

#4 - 01/12/2023 01:15 PM - Katja Luther

- Target version changed from Release 5.44 to Release 5.45

#5 - 05/10/2023 04:52 PM - Andreas Miiller
- Related to bug #10305: Add DB preference for term language added

#6 - 05/10/2023 04:52 PM - Andreas Miiller

- Tags changed from terms, i18 to terms, i18n

#7 - 05/10/2023 04:52 PM - Andreas Miuller

- Description updated
